Package org.opensaml.saml.saml2.metadata.impl

# Class AdditionalMetadataLocationImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl
org.opensaml.saml.saml2.metadata.impl.AdditionalMetadataLocationImpl

All Implemented Interfaces:
  `XSURI`, `XMLObject`, `SAMLObject`, `AdditionalMetadataLocation`

public class AdditionalMetadataLocationImpl extends XSURIImpl implements AdditionalMetadataLocation
Concrete implementation of `AdditionalMetadataLocation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`namespace`
Namespace scope of the root metadata element at the location.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.AdditionalMetadataLocation

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, NAMESPACE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AdditionalMetadataLocationImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespaceURI()`
Gets the namespace URI.
`void`
`setNamespaceURI(String namespaceURI)`
Sets the namespace URI.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIImpl

`getOrderedChildren, getURI, setURI`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### namespace

@Nullable private String namespace
Namespace scope of the root metadata element at the location.

## Constructor Details

### AdditionalMetadataLocationImpl

protected AdditionalMetadataLocationImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the URI of the name space
  `elementLocalName` - the local name
  `namespacePrefix` - the prefix name space

## Method Details

### getNamespaceURI

@Nullable public String getNamespaceURI()
Gets the namespace URI.

Specified by:
  `getNamespaceURI` in interface `AdditionalMetadataLocation`
Returns:
  the namespace URI

### setNamespaceURI

public void setNamespaceURI(@Nullable String namespaceURI)
Sets the namespace URI.

Specified by:
  `setNamespaceURI` in interface `AdditionalMetadataLocation`
Parameters:
  `namespaceURI` - the namespace URI